package com.zcloud.service.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单管理
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
public interface CustomService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd)throws Exception;

	/**列表
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> list(Page page)throws Exception;

	/**禁用
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void remove(PageData pd)throws Exception;

	/**彻底删除
	 * @param pd
	 * @throws Exception
	 */
	void deleted(PageData pd)throws Exception;

	/**启用
	 * @param pd
	 * @throws Exception
	 */
	void enable(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;
	public List<PageData> stoplist(Page page)throws Exception;

	/**部门清单列表
	 * 	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> recordList(Page page)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd)throws Exception;

	/**获取用户的检查清单
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getMyCheckList(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> checklistPage(Page page)throws Exception;

	/**
	 * 查询公司清单总数
	 * @param pd
	 * @return
	 */
	int getListCount(PageData pd)throws Exception;

	/**
	 * 查询公司检查过清单的总数
	 * @param pd
	 * @return
	 */
	int getWorkedListCount(PageData pd)throws Exception;

	/**查询人员清单
	 * @param page
	 * @throws Exception
	 */
	List<PageData> getListByCorplistPage(Page page)throws Exception;

	void saveBaoBaoType(PageData pd) throws Exception;

	List<PageData> listAllForDiagnosis(PageData pd);

	List<PageData> thisMonthListmanager(PageData pd);
}

